# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

VIM_PLUGIN_VIM_VERSION="7.0"
inherit vim-plugin

MY_P="${P/0.1_/}"

DESCRIPTION="vim plugin: version control integration plugin"
HOMEPAGE="http://www.vim.org/scripts/script.php?script_id=90"
SRC_URI="http://${PN}.googlecode.com/files/${MY_P}.zip"

LICENSE="public-domain"
KEYWORDS="~amd64 ~x86"
IUSE="bzr cvs git mercurial subversion svk"

RDEPEND="cvs? ( dev-util/cvs )
	subversion? ( dev-util/subversion )
	svk? ( dev-util/svk )
	git? ( dev-vcs/git )
	bzr? ( dev-vcs/bzr )
	mercurial? ( dev-vcs/mercurial )
	!app-vim/bzr-vim
	!app-vim/cvscommand
	!app-vim/calendar" # conflict, bug 62677

S="${WORKDIR}"

VIM_PLUGIN_HELPFILES="vcscommand"

no_flags_die() {
	eerror "Please choose at least one VCS system"
	eerror "to be supported by this plugin."
	die "No VCS systems set"
}

pkg_setup() {
	elog "Note:	Support for all VCS systems are enabled by USE flags."
	elog "		Make sure you've enabled the flags you want."

	use bzr || use cvs || use git || use mercurial || use subversion || \
		use svk || no_flags_die
}

src_unpack() {
	unpack ${A}
	cd "${S}"

	use cvs || rm syntax/CVSAnnotate.vim plugin/vcscvs.vim
	use subversion || rm syntax/SVNAnnotate.vim plugin/vcssvn.vim
	use svk || rm syntax/SVKAnnotate.vim plugin/vcssvk.vim
	use bzr || rm plugin/vcsbzr.vim
	use git || rm syntax/gitAnnotate.vim plugin/vcsgit.vim
	use mercurial || rm plugin/vcshg.vim
}
