# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=2

inherit distutils

DESCRIPTION="Bash completion for the bazaar bzr command"
HOMEPAGE="https://launchpad.net/${PN}"
SRC_URI="http://pypi.python.org/packages/source/${PN:0:1}/${PN}/${P}.tar.gz"

LICENSE="GPL2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""

DEPEND=""
RDEPEND=">=app-shells/bash-completion-1.1-r5
	dev-vcs/bzr[-bash-completion]"

src_prepare() {
	distutils_src_prepare || die "Failed to prepare python code"

	# Other bash-completion functions don't set progcomp either
	sed -i '/^shopt -s progcomp$/d' lazy.sh
}

src_install() {
	distutils_src_install || die "Failed to install python code"

	# we cannot use dobashcompletion from bash-completion.eclass, as
	# that eclass assumes a bash-completion IUSE, which we don't want.
	# So we have to copy its functionality. All two lines of it. :-)
	insinto /usr/share/bash-completion
	newins lazy.sh bzr || die "Failed to install lazy completion script"
}
