# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

NEED_PYTHON=2.4

inherit distutils python bzr

DESCRIPTION="bzrtools is a useful collection of utilities for bzr."
HOMEPAGE="http://bazaar-vcs.org/BzrTools"
SRC_URI=""
EBZR_REPO_URI="lp:bzrtools"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ia64 ~ppc ~sparc ~x86"
IUSE=""

DEPEND="dev-vcs/bzr"
RDEPEND="${DEPEND}"

DOCS="CREDITS NEWS NEWS.Shelf README README.Shelf TODO TODO.Shelf"

S="${WORKDIR}"/${P}

src_test() {
	python_version
	einfo "Running testsuite..."
	# put a linked copy of the bzr core into the build directory to properly
	# test the "built" version of bzrtools
	find "$(python_get_libdir)/site-packages/bzrlib/" \
		-mindepth 1 -maxdepth 1 \
		\( \( -type d -and -not -name "plugins" \) -or -name "*.py" \) \
		-exec ln -s '{}' "${S}"/build/lib/bzrlib/ \;
	touch "${S}"/build/lib/bzrlib/plugins/__init__.py
	"${S}"/test.py "${S}"/build/lib || die "Testsuite failed."
	# remove the "shadow" copy so it doesn't get installed
	rm "${S}"/build/lib/bzrlib/plugins/__init__.py
	find "${S}"/build/lib/bzrlib/ -mindepth 1 -maxdepth 1 -type l -exec rm '{}' \;
}
